import axios from 'axios';
import config from '@api/config.js';

const urls = config.urls;
export default {
    getRulesList(param){
        return axios.post(urls.zskRuleList,param);
    },
    getTypesList(param){
        return axios.post(urls.zskTypeList,param);
    },
    deleteRule(param){
        return axios.post(urls.zskDelRule,param);
    },
    deleteRuleApply(param){
        return axios.post(urls.zskDisableRule,param);
    },
    ruleDetail(param){
        return axios.post(urls.zskRuleDetail,param);
    },
    searchConcept(param){
        return axios.post(urls.zskSearchConcept,param);
    },
    saveRule(param){
        return axios.post(urls.zskAddRule,param);
    },
    saveRuleApply(param){
        return axios.post(urls.zskActiveRule,param);
    },
    zskUpdateAll() {    //更新数据
        return axios.post(urls.zskUpdateAll)
    },
    zskgetDict(){
        return axios.post(urls.zskgetDict)
    },
	zskgetRulePage(param) {
	    return axios.post(urls.zskgetRulePage, param);
	},
	zskgetRuleDetail(param) {
	    return axios.post(urls.zskgetRuleDetail, param);
	},
    getCallRecord(param){
        return axios.post(urls.getCallRecord, param)
    },
	//获取关联静态知识
	getStaicTypes(param){
		return axios.post(urls.staticKnowledge, param);
	},
    getStatistByDept(param){
        return axios.post(urls.getStatistByDept, param)
    }

    
}