const path = require('path');
//const proxy_path = 'http://192.168.2.241:80';
// const proxy_path = 'http://192.168.2.241:84';
const proxy_path = 'http://192.168.2.236:6060';
//const proxy_path = 'http://192.168.2.236:88';
//const proxy_path = 'http://192.168.2.236:6060';
//const proxy_path = 'http://192.168.2.241:6060';
// const proxy_path = 'http://192.168.3.101:5050';
// const proxy_path = 'http://192.168.3.117:5050';//周铁刚
// const proxy_path = 'http://192.168.3.113:5050'; //王峰

module.exports = {
    lintOnSave: false,
    devServer: {
        historyApiFallback: true,
        disableHostCheck: true,
        proxy: {
            '/api': {
                target: proxy_path,
                changeOrigin: true,
                secure: false
            },
            '/demo': {
                target: proxy_path,
                changeOrigin: true,
                secure: false
            },
            '/sys': {
                target: proxy_path,
                changeOrigin: true,
                secure: false
            },
            '/graph': {
                target: proxy_path,
                changeOrigin: true,
                secure: false
            },
		  '/klRule': {
			target: proxy_path,
			changeOrigin: true,
			secure: false
		  },
		  '/tran': {
			target: proxy_path,
			changeOrigin: true,
			secure: false
		  },
		  '/klRulePlan': {
			target: proxy_path,
			changeOrigin: true,
			secure: false
		  },
		  '/kl': {
			target: proxy_path,
			changeOrigin: true,
			secure: false
		  },
		  '/klDisease': {
			target: proxy_path,
			changeOrigin: true,
			secure: false
		  },
		  '/cache': {
			target: proxy_path,
			changeOrigin: true,
			secure: false
		  }
        }
    },
    configureWebpack:{
        resolve:{
            alias: {
                '@components': path.resolve(__dirname,'./src/components/'),
                '@less': path.resolve(__dirname,'./src/less/'),
                '@base':path.resolve(__dirname,'./src/components/base/'),
                '@api': path.resolve(__dirname,'./src/api/')
            }
        }
    },
};